package tech.nevets.templatebot;

import org.simpleyaml.configuration.file.YamlFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class Config {
    private static final YamlFile ymlFile = new YamlFile("config.yml");
    private static final Logger LOGGER = LoggerFactory.getLogger(Config.class);

    public static void loadConfig() {
        try {
            if (!ymlFile.exists()) {
                ymlFile.createNewFile(true);
                LOGGER.info("Configuration file has been successfully created");
            } else {
                LOGGER.error("config.yml already exists, loading configuration file...");
            }
            ymlFile.loadWithComments();
        } catch (final Exception e) {
            e.printStackTrace();
        }

        ymlFile.addDefault("bot.prefix", "!");
        ymlFile.addDefault("bot.token", "BotToken122333444455555666666777777788888888999999999");
        ymlFile.addDefault("verbose", false);

        try {
            ymlFile.save();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static YamlFile getConfig() {
        return ymlFile;
    }
}
